Bug 1464933 - [RFE][fence-agents] fencing agent for RedFish API needed
Summary: [RFE][fence-agents] fencing agent for RedFish API needed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: fence-agents
Version: 7.5
Hardware: All
OS: Linux
high
medium
Target Milestone: beta
: 7.5
Assignee: Oyvind Albrigtsen
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1500889 1707454 1547927 1666848
TreeView+ depends on / blocked
 
Reported: 2017-06-26 09:16 UTC by Sirius Rayner-Karlsson
Modified: 2019-08-06 12:35 UTC (History)
15 users (show)

Fixed In Version: fence-agents-4.2.1-14.el7
Doc Type: If docs needed, set a value
Doc Text:
This update adds a fence agent for the Redfish API, which is used on Intel RackScale Design based hardware.
Clone Of:
: 1666848 1666914 (view as bug list)
Environment:
Last Closed: 2019-08-06 12:34:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3817691 None None None 2019-01-18 17:59:01 UTC
Red Hat Product Errata RHSA-2019:2037 None None None 2019-08-06 12:35:15 UTC

Description Sirius Rayner-Karlsson 2017-06-26 09:16:59 UTC
1. Description:

Feature request to include a Redfish API fence-agent RHEL7

2. Details
  a. Bugzilla dependencies (if any):

Unknown

  b. Hardware dependencies (if any):

Intel RackScale Design based hardware that complies with RedFish API 1.0 specification

  c. Upstream information
     i. Date it will be upstream:

There is the Sushy work, that is a library for interacting with RedFish API, but that is not a fencing agent.

    ii. Version:

Unknown

  d.     External links:

N/A

  e.      Severity (U/H/M/L):

High

  f.       Business Priority (Must/High Want/Want):

Must

3. Business Justification
  a. Why is this needed:

As RSD systems are becoming more common, having a fencing agent that handles RedFish API is becoming a necessity. Hardware from several vendors will implement and leverage RedFish instead of IPMI. Enabling RHEL to be used in a HA capacity on this kind of hardware is a priority.

  b.  What hardware is required (if any):

Any hardware of Intel RackScale Design type that implements RedFish API 1.0 for system management and remote service interface.

  c.  Business impact:

Lack of generic fence agent for RedFish API will slow adoption of Intel's RackScale Design based hardware for Red Hat Enterprise Linux in an HA capacity (which also affects products like OpenStack and others that leverage hardware fencing for some features).

Comment 8 Oyvind Albrigtsen 2018-12-07 12:35:02 UTC
https://github.com/ClusterLabs/fence-agents/pull/253

Comment 11 Oyvind Albrigtsen 2019-01-18 08:42:44 UTC
New build with patch to fail when not using --ssl-insecure without a valid certificate: https://github.com/ClusterLabs/fence-agents/pull/254

Comment 14 errata-xmlrpc 2019-08-06 12:34:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2037


Note You need to log in before you can comment on or make changes to this bug.